Page 1 of 1

PrimalScript 2016 VBS compiled to EXE on XP/POSReady 2009

Posted: Fri Oct 28, 2016 8:38 am
by PrairieDawg
Product, version and build: PrimalScript 2016, Version 7.2.94
(*** Please do not write "latest" as a version, specify a version number ***)
32 or 64 bit version of product: 32
Operating system: Windows 7
32 or 64 bit OS: 32 bit

I recently learned that the .vbs scripts I was compiling to exe, which ran fine on VMware Windows 8 did not run when used on the real target of XP or POSReady 2009 systems.

I found article viewtopic.php?t=8703 and tried the solution recommended, but I still have issues with my .vbs to .exe builds reporting "not a valid Win32 application..."

Question: Do I need a newer version of the "Windows XP Script Hosts.zip" file for PrimalScript 2016?

Thanks,

Re: PrimalScript 2016 VBS compiled to EXE on XP/POSReady 2009

Posted: Fri Oct 28, 2016 10:29 am
by Alexander Riedel
Well, PrimalScript 2016 doesn't really support Windows XP anymore. Support for XP was dropped when Microsoft ended support for Windows XP.
That being said, the xp hosts *should* work, even though they are unsupported.
If you get a "not a valid Win32 application" message you most likely are building for 64 bit. Make sure you select a 32 bit engine.